<?php
/**
 * Шаблон списка товаров
 * 
 * @package    DIAFAN.CMS
 * @author     diafan.ru
 * @version    6.0
 * @license    http://www.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2018 OOO «Диафан» (http://www.diafan.ru/)
 */

if (! defined('DIAFAN'))
{
    $path = __FILE__;
	while(! file_exists($path.'/includes/404.php'))
	{
		$parent = dirname($path);
		if($parent == $path) exit;
		$path = $parent;
	}
	include $path.'/includes/404.php';
}

if(! empty($result['error'])) {
	echo '<div class="text"><p>'.$result['error'].'</p></div>';
	return;
}

echo '<div class="shop-block-categories-all">';

	if(!empty($result['img']) || !empty($result['text']))
	{
		echo '<div class="category-intro">';
		if (!empty($result['img']))
		{
			foreach($result['img'] as $img) {
				echo '<figure class="category-intro__image" style="background-image: url('.$img['src'].');" title="'.$img['title'].'"></figure>';
				break;
			}
		}
		if(!empty($result['text'])) {
			echo '<div class="category-intro__content text">'.$result['text'].'</div>';
		}
		echo '</div>';
	}

	if (!empty($result['children']))
	{
		foreach($result['children'] as $child)
		{ echo '<div class="shop-block-categories">';
		
			echo
			'<div class="h2">
				<a href="'.BASE_PATH_HREF.$child['link'].'">'.$child['name'].'</a>
			</div>';

			if (!empty($child['img']) || !empty($child['anons']))
			{
				echo '<div class="category-intro">';
				if (!empty($child['img']))
				{
					foreach($child['img'] as $img) {
						echo '<a class="category-intro__image" href="'.BASE_PATH_HREF.$child['link'].'" style="background-image: url('.$img['src'].');" title="'.$img['title'].'"></a>';
						break;
					}
				}
				if(!empty($child['anons'])) {
					echo
					'<div class="category-intro__content text">
						<div class="category-intro__anons">'.$child['anons'].'</div>
					</div>';
				}
				echo '</div>';
			}

			if (!empty($child['rows']))
			{
				$res = $result;
				unset($res['show_more']);
				$res['rows'] = $child['rows'];
				echo $this->get($result['view_rows'], 'shop', $res);
			}
			echo '</div>';
		}
	}

echo '</div>';

if(! empty($result['rows']))
{
	if(! empty($result['link_sort'])) {
		echo '<div class="shop-settings">';
		echo $this->get('sort_block', 'shop', $result);
		echo '</div>';
	}

	echo $this->htmleditor('<insert name="show_search" module="shop" cat_id="current" mobile="true">');

	echo $this->get($result['view_rows'], 'shop', $result);
}

if(! empty($result['paginator'])) {
	echo $result['paginator'];
}
